Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class GLISTPQImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
                      org.eclipse.ohf.ihe.common.cdar2.impl.GLISTPQImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ANY, GLISTPQ

    public class GLISTPQImpl

extends ANYImpl
implements GLISTPQ

An implementation of the model object 'GLISTPQ'.

The following features are implemented:

- `Head`
- `Increment`
- `Denominator`
- `Period`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetHead(PQ newHead, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetIncrement(PQ newIncrement, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.math.BigInteger` | `getDenominator()`
`PQ` | `getHead()`
`PQ` | `getIncrement()`
`java.math.BigInteger` | `getPeriod()`
`void` | `setDenominator(java.math.BigInteger newDenominator)`
`void` | `setHead(PQ newHead)`
`void` | `setIncrement(PQ newIncrement)`
`void` | `setPeriod(java.math.BigInteger newPeriod)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
`getNullFlavor, setNullFlavor`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getHead

    public PQ getHead()

  Specified by:
    `getHead` in interface `GLISTPQ`
  Returns:
    the value of the 'Head' containment reference.
  See Also:
    `GLISTPQ.setHead(PQ)`, `CDAR2Package.getGLISTPQ_Head()`

### basicSetHead

    public org.eclipse.emf.common.notify.NotificationChain basicSetHead(PQ newHead,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setHead

    public void setHead(PQ newHead)

  Specified by:
    `setHead` in interface `GLISTPQ`
  Parameters:
    `newHead` - the new value of the 'Head' containment reference.
  See Also:
    `GLISTPQ.getHead()`

### getIncrement

    public PQ getIncrement()

  Specified by:
    `getIncrement` in interface `GLISTPQ`
  Returns:
    the value of the 'Increment' containment reference.
  See Also:
    `GLISTPQ.setIncrement(PQ)`, `CDAR2Package.getGLISTPQ_Increment()`

### basicSetIncrement

    public org.eclipse.emf.common.notify.NotificationChain basicSetIncrement(PQ newIncrement,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setIncrement

    public void setIncrement(PQ newIncrement)

  Specified by:
    `setIncrement` in interface `GLISTPQ`
  Parameters:
    `newIncrement` - the new value of the 'Increment' containment reference.
  See Also:
    `GLISTPQ.getIncrement()`

### getDenominator

    public java.math.BigInteger getDenominator()

  Specified by:
    `getDenominator` in interface `GLISTPQ`
  Returns:
    the value of the 'Denominator' attribute.
  See Also:
    `GLISTPQ.setDenominator(BigInteger)`, `CDAR2Package.getGLISTPQ_Denominator()`

### setDenominator

    public void setDenominator(java.math.BigInteger newDenominator)

  Specified by:
    `setDenominator` in interface `GLISTPQ`
  Parameters:
    `newDenominator` - the new value of the 'Denominator' attribute.
  See Also:
    `GLISTPQ.getDenominator()`

### getPeriod

    public java.math.BigInteger getPeriod()

  Specified by:
    `getPeriod` in interface `GLISTPQ`
  Returns:
    the value of the 'Period' attribute.
  See Also:
    `GLISTPQ.setPeriod(BigInteger)`, `CDAR2Package.getGLISTPQ_Period()`

### setPeriod

    public void setPeriod(java.math.BigInteger newPeriod)

  Specified by:
    `setPeriod` in interface `GLISTPQ`
  Parameters:
    `newPeriod` - the new value of the 'Period' attribute.
  See Also:
    `GLISTPQ.getPeriod()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `ANYImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `ANYImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `ANYImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `ANYImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ANYImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD